=head1 NAME

Goo::Canvas::Ellipse - wrapper for GooCanvasEllipse

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Ellipse



=cut

=head1 INTERFACES

  Goo::Canvas::Item



=cut


=head1 METHODS

=head2 item = Goo::Canvas::Ellipse-E<gt>B<new> ($parent, $center_x, $center_y, $radius_x, $radius_y, ...)

=over

=item * $parent (Goo::Canvas::Item) 

=item * $center_x (double) 

=item * $center_y (double) 

=item * $radius_x (double) 

=item * $radius_y (double) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'center-x' (double : default 0 : readable / writable)

The x coordinate of the center of the ellipse

=item 'center-y' (double : default 0 : readable / writable)

The y coordinate of the center of the ellipse

=item 'height' (double : default 0 : readable / writable)

The height of the ellipse

=item 'radius-x' (double : default 0 : readable / writable)

The horizontal radius of the ellipse

=item 'radius-y' (double : default 0 : readable / writable)

The vertical radius of the ellipse

=item 'width' (double : default 0 : readable / writable)

The width of the ellipse

=item 'x' (double : default 0 : readable / writable)

The x coordinate of the left side of the ellipse

=item 'y' (double : default 0 : readable / writable)

The y coordinate of the top of the ellipse

=back



=cut


=head1 SEE ALSO

L<Glib::Object>, L<Goo::Canvas::ItemSimple>


=cut


=head1 COPYRIGHT


Copyright (C) 2017 Gtk2-Perl Team




=cut

